<?xml version="1.0"?>
<beans default-destroy-method="destroy" default-init-method="afterPropertiesSet"
	xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd">

	<bean id="minhndDataSource"
		class="org.springframework.jdbc.datasource.LazyConnectionDataSourceProxy">
		<property name="targetDataSource" ref="minhndDataSourceWrapper" />
	</bean>
	
	<bean id="minhndDataSourceImpl"
		class="com.liferay.portal.dao.jdbc.spring.DataSourceFactoryBean">
		<property name="propertyPrefix" value="jdbc.minhnd." />
	</bean>
	
	<bean id="minhndDataSourceWrapper" class="com.liferay.portal.dao.jdbc.util.DataSourceWrapper">
		<constructor-arg ref="minhndDataSourceImpl" />
	</bean>
	
	<bean class="com.liferay.portal.dao.jdbc.util.DataSourceSwapper">
		<property name="liferayDataSourceWrapper" ref="minhndDataSourceWrapper" />
	</bean>
	
	<bean id="minhndHibernateSessionFactory" class="com.liferay.portal.kernel.spring.util.SpringFactoryUtil"
		factory-method="newBean">
		<constructor-arg
			value="com.liferay.portal.spring.hibernate.PortletHibernateConfiguration" />
		<constructor-arg>
			<map>
				<entry key="dataSource" value-ref="minhndDataSource" />
			</map>
		</constructor-arg>
	</bean>
	
	<bean id="minhndSessionFactory" class="com.liferay.portal.kernel.spring.util.SpringFactoryUtil"
		factory-method="newBean">
		<constructor-arg
			value="com.liferay.portal.dao.orm.hibernate.PortletSessionFactoryImpl" />
		<constructor-arg>
			<map>
				<entry key="dataSource" value-ref="minhndDataSource" />
				<entry key="sessionFactoryClassLoader" value-ref="portletClassLoader" />
				<entry key="sessionFactoryImplementor" value-ref="minhndHibernateSessionFactory" />
			</map>
		</constructor-arg>
	</bean>
</beans>